Package: grails.transaction

## [Groovy] Class GrailsTransactionTemplate

- grails.transaction.GrailsTransactionTemplate

- Template class that simplifies programmatic transaction demarcation and transaction exception handling.

  Authors:
    Kazuki YAMAMOTO
    Graeme Rocher
  Since:
    2.4

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsTransactionAttribute` | `transactionAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager)`
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.TransactionDefinition transactionDefinition)`
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.interceptor.TransactionAttribute transactionAttribute)`
    `GrailsTransactionTemplate (org.springframework.transaction.PlatformTransactionManager transactionManager, GrailsTransactionAttribute transactionAttribute)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `execute(groovy.lang.Closure action)`
    `` | `java.lang.Object` | `executeAndRollback(groovy.lang.Closure action)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsTransactionAttribute transactionAttribute

  - ### Constructor Detail

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.TransactionDefinition transactionDefinition)

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager, org.springframework.transaction.interceptor.TransactionAttribute transactionAttribute)

    - #### GrailsTransactionTemplate(org.springframework.transaction.PlatformTransactionManager transactionManager, GrailsTransactionAttribute transactionAttribute)

  - ### Method Detail

    - #### java.lang.Object execute(groovy.lang.Closure action)

    - #### java.lang.Object executeAndRollback(groovy.lang.Closure action)